#! /usr/bin/python
# nautilus-gallery-uploader
#
# nautilus-gallery-uploader is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as published by
# the Free Software Foundation, version 3.
#
# nautilus-gallery-uploader is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with GUP; if not, write to the Free Software Foundation, Inc., 51
# Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
#
# Copyright (C) 2009 Pietro Battiston <toobaz@email.it>

# Name=Gallery/Upload to new Gallery profile
# Name[it]=Gallery/Crea ed utilizza un nuovo profilo Gallery

__version__ = 1.3


from galleryuploader import Site, upload_to_site, sys

def __main__():

    site = Site()
    if not site.fill_from_form():
        sys.exit(0)

    files = sys.argv[1:]

    upload_to_site(site, files)


if __name__ == '__main__':
    __main__()
